Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/diffstat: new aport

From: Leszek Cimała <ernierasta_at_zori.cz>
Date: Wed, 24 Feb 2016 22:36:33 +0100

http://invisible-island.net/diffstat
diffstat reads the output of diff and displays a histogram of the insertions, deletions, and modifications per-file.
---
 testing/diffstat/APKBUILD | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)
 create mode 100644 testing/diffstat/APKBUILD
diff --git a/testing/diffstat/APKBUILD b/testing/diffstat/APKBUILD
new file mode 100644
index 0000000..141937b
--- /dev/null
+++ b/testing/diffstat/APKBUILD
_at_@ -0,0 +1,37 @@
+# Contributor: Leszek Cimała <ernierasta_at_zori.cz>
+# Maintainer:
+pkgname=diffstat
+pkgver=1.60
+pkgrel=0
+pkgdesc="diffstat reads the output of diff and displays a histogram of the insertions, deletions, and modifications per-file."
+url="http://invisible-island.net/diffstat"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="ftp://invisible-island.net/${pkgname}/${pkgname}-${pkgver}.tgz"
+_builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="ba889da4c06b547aa2d78fa96800ae6f  diffstat-1.60.tgz"
+sha256sums="2032e418b43bae70d548e32da901ebc4ac12972381de1314bebde0b126fb0123  diffstat-1.60.tgz"
+sha512sums="6cbcff7dfe6d51583d59d2c9dfe4cb958202491ca3c4b1096616380564a1842065434d30858c55c3ddcfc76cd07b58dfc4c4cb6cfdcf6346af60998170f51bd2  diffstat-1.60.tgz"
-- 
2.7.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 24 2016 - 22:36:33 GMT